#include<bits/stdc++.h>
using namespace std;
struct bag
{
    int v;
    int in;
};
bool cmp(bag a,bag b)
{
    return a.v>b.v;
}
vector<int>solve(vector<int>A)
{
    int n=A.size();
    vector<bag>a;
    for(int i=0; i<n; i++)
    {
        a.push_back({A[i],i});
    }
    //sort(a.begin(),a.end(),cmp);
    vector<int>ans1,ans2;
    long long int s1=0,s2=0;
    for(int i=n-1; i>=0; i--)
    {
        if(s2<s1)
        {
            s2+=A[i];
            ans2.push_back(i);
        }
        else
        {
            s1+=A[i];
            ans1.push_back(i);
        }
    }
    vector<int>ans;
    if(s1>=s2)
    {
        for(int i=0; i<ans1.size(); i++)
        {
            ans.push_back(ans1[i]);
        }
        for(int i=0; i<ans2.size(); i++)
        {
            ans.push_back(ans2[i]);
        }
    }
    else
    {
        for(int i=0; i<ans2.size(); i++)
        {
            ans.push_back(ans1[i]);
        }
        for(int i=0; i<ans1.size(); i++)
        {
            ans.push_back(ans2[i]);
        }
    }
    return ans;
}
